Bug 138043 - hard laptop crash/freeze with NetworkManager
hard laptop crash/freeze with NetworkManager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 20:57 EST by Jason 'vanRijn' Kasper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-29 17:36:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 'vanRijn' Kasper 2004-11-03 20:57:48 EST
- NetworkManager has to have the mode set to "Managed"
in /etc/sysconfig/network-scripts/ifcfg-eth1, from what I saw.  This
conflicts with FC's insistence on making the mode "Auto" so that I can
change the channel to 6 and the rate to Auto
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=133500).

- unless I log into gnome as root, NetworkManagerInfo hard-locks-up my
laptop.  No, I cannot give a stack trace or anything useful to debug
this.  Specifically, what happens is I start NetworkManagerInfo, click
on its menu, choose the SID of my network, and then sometimes
immediately and sometimes after the error dialog box comes up to say
"can't connect to this network" (it does NOT ask me for a WEP key if I'm
not root), my laptop freezes hard.  Mouse doesn't respond, kernel
doesn't respond, etc., etc.

- IF I am root, then clicking NetworkManagerInfo's menu and selecting
the SID of my network, I do get the next dialog asking me for my WEP
key.  HOWEVER, it does this EVERY time!!  The WEP key does not get saved
as it is supposed to in gconf.

Argh!!!!  

I REALLY want this to work!!  =:/

I am running the latest kernel from fc3 (kernel-2.6.9-1.649), and have
installed the orinoco-0.15rc2 kernel modules so that iwlist scanning
works.

Help???
Comment 1 Jason 'vanRijn' Kasper 2004-11-03 21:45:20 EST
erm.  Okay, I think #1 may not be an issue, perhaps.  

#2 is apparently a kernel/ipv6 issue, which I've confirmed by turning IPV6 off in /etc/
modprobe.conf and rebooting.  I don't get the hard lockup anymore, yay!!

#3, however, I still have a problem with.
Comment 2 Dan Williams 2005-01-29 16:52:21 EST
Do more recent versions of NetworkManager & NetworkManager-gnome work
for you for #3?
Comment 3 Jason 'vanRijn' Kasper 2005-01-29 17:34:41 EST
Yes, actually.  =:)  Yay!!  =:)  I'm running these:

NetworkManager-0.3.3-1.cvs20050119.2.fc3
NetworkManager-gnome-0.3.3-1.cvs20050119.2.fc3

And the card asks me for the key, and it remembers it across reboots.

Awesome job!!
Comment 4 Dan Williams 2005-01-29 17:36:58 EST
Ok, closing.

Note You need to log in before you can comment on or make changes to this bug.